# $Revision: 1.1 $, $Date: 2011/07/01 19:22:04 $
Summary:	Audio Video Standard of China library
Summary(pl.UTF-8):	Biblioteka kodeka AVS (Audio Video Standard of China)
Name:		xavs
Version:	0
%define	svnver	51
Release:	0.svn%{svnver}.1
License:	GPL v2+
Group:		Libraries
# svn co https://xavs.svn.sourceforge.net/svnroot/xavs/trunk xavs
Source0:	%{name}-r%{svnver}.tar.xz
# Source0-md5:	c96ff5e330dd18760bc2024435a95a01
Patch0:		%{name}-dynamic-xavs.patch
BuildRequires:	tar >= 1:1.22
# for svnversion
BuildRequires:	subversion
BuildRequires:	xz
%ifarch %{ix86} %{x8664}
#BuildRequires:	binutils >= 2.17
#BuildRequires:	yasm >= 0.6.1
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AVS is the Audio Video Standard of China. This project aims to
implement high quality AVS encoder and decoder.

%description -l pl.UTF-8
AVS (Audio Video Standard of China) to standardowy kodek A/V dla Chin.
Celem projektu jest zaimplementowanie wysokiej jakości kodera i
dekodera AVS.

%package devel
Summary:	Header files for AVS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AVS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for AVS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AVS.

%package static
Summary:	Static AVS library
Summary(pl.UTF-8):	Statyczna biblioteka AVS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static AVS library.

%description static -l pl.UTF-8
Statyczna biblioteka AVS.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
# not autoconf script
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--enable-shared \
	--extra-cflags="%{rpmcflags} %{rpmcppflags} -fno-strict-aliasing" \
	--extra-ldflags="%{rpmldflags}"
# currently broken
#%ifarch %{ix86} %{x8664} \
#	--enable-asm \
#%endif

# linking hack
ln -sf libxavs.so.1 libxavs.so

%{__make} default libxavs.a \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xavs
%attr(755,root,root) %{_libdir}/libxavs.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxavs.so
%{_includedir}/xavs.h
%{_pkgconfigdir}/xavs.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxavs.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xavs.spec,v $
Revision 1.1  2011/07/01 19:22:04  qboosh
- new
